<?php
/*
Plugin Name: Optimal Title
Plugin URI: http://elasticdog.com/2004/09/optimal-title/
Description: Mirrors the function of wp_title() exactly, but moves the position of the 'separator' to after the title rather than before.
Version: 1.0
Author: Aaron Schaefer
Author URI: http://elasticdog.com/
*/

function optimal_title($sep = '&raquo;', $display = true) {
	global $wpdb, $tableposts, $tablecategories;
	global $year, $monthnum, $day, $cat, $p, $name, $month, $posts, $single;

	// If there's a category
	if(!empty($cat)) {
		if (!stristr($cat, '-')) { // category excluded
			$title = stripslashes(get_the_category_by_ID($cat));
		}
	}
	if (!empty($category_name)) {
		$title = stripslashes($wpdb->get_var("SELECT cat_name FROM $tablecategories WHERE category_nicename = '$category_name'"));
	}

	// If there's a month
	if(!empty($m)) {
		$my_year = substr($m, 0, 4);
		$my_month = $month[substr($m, 4, 2)];
		$title = "$my_year $sep $my_month";
	}
	if (!empty($year)) {
		$title = $year;
		if (!empty($monthnum)) {
			$title .= " $sep ".$month[zeroise($monthnum, 2)];
		}
		if (!empty($day)) {
			$title .= " $sep ".zeroise($day, 2);
		}
	}

	// If there's a post
	if ($single) {
		$title = strip_tags(stripslashes($posts[0]->post_title));
		$title = apply_filters('single_post_title', $title);
	}

	// Send it out
	if ($display && isset($title)) {
		echo "$title $sep ";
	} elseif (!$display && isset($title)) {
		return "$title $sep ";
	}
}
?>
